using System;
using System.Collections.Generic;
using System.Text;

namespace Editroid
{
	/// <summary>
	/// Identifies the location within a ROM of a pointer table
	/// </summary>
	public struct PointerTable
	{
		/// <summary>
		/// The offset of the beginning of the pointer table
		/// </summary>
		public int Offset;
		/// <summary>
		/// The number of entries in the pointer table
		/// </summary>
		public int Length;

		/// <summary>
		/// Pulls a Metroid pointer out of this pointer table in the specified ROM data
		/// </summary>
		/// <param name="index">The index of the entry</param>
		/// <param name="data">The ROM data to access</param>
		/// <returns>a Metroid pointer</returns>
		public MetroidPointer GetPointer(int index, byte[] data) {
			return new MetroidPointer(data, Offset + index);
		}
	}

}
