using System;
using System.Collections.Generic;
using System.Text;

namespace Editroid
{
	/// <summary>
	/// This class contains constants that are found within raw ROM data
	/// </summary>
	public static class RomValues
	{
		/// <summary>
		/// This value marks the end of a room's list of objects.
		/// </summary>
		public static byte EndOfObjects = 0xFD;
		/// <summary>
		/// This value marks the end of a room's data. This usually follows enemy data.
		/// </summary>
		public static byte EndOfScreenData = 0xFF;
		/// <summary>
		/// This value marks the end of a structs's data.
		/// </summary>
		public static byte EndOfStructData = 0xFF;
        /// <summary>
        /// This value identifies door data items in enemey data.
        /// </summary>
        public static byte DoorMarker = 0x02;
        /// <summary>
        /// This value identifies door data items in item data.
        /// </summary>
        public static byte DoorMarkerItemData = 0x02;

        /// <summary>
        /// This value identifies enemy data items in enemy data and item data.
        /// </summary>
        public static byte EnemyMarker = 0x01;
        /// <summary>
        /// This value identifies enemy data items for enemies that respawn in enemy data.
        /// </summary>
        public static byte RespawnEnemyMarker = 0x07;
        /// <summary>
        /// This value identifies the tourain access bridge in enemy data.
        /// </summary>
        public static byte TourainAccessBridgeMarker = 0x06;

	}
}
